<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

    <a class="navbar-brand" href="#">AmCharts Demo</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
   </button>

    <div class="collapse navbar-collapse" *ngIf="_authService.loggedIn()" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" routerLink="/form" routerLinkActive="active">Form</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/employee" routerLinkActive="active">CRUD</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/landing" routerLinkActive="active">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/landing" routerLinkActive="active">About</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="/landing" id="navbarDropdown" role="button" data-toggle="dropdown" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                  Services
                </a>
                <ul class="submenu dropdown-menu">
                    <a class="dropdown-item" href="/landing">Health Service</a>
                    <li class="dropdown-submenu">
                        <a class="dropdown-item" tabindex="-1" href="#">Social Service</a>
                        <ul class="dropdown-menu">
                            <li class="dropdown-item"><a tabindex="-1" href="#">Env Service 1</a></li>
                            <li class="dropdown-item"><a tabindex="-1" href="#">Env Service 2</a></li>
                        </ul>
                    </li>

                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Contact</a>
                </ul>
            </li>
        </ul>
        <ul class="navbar-nav">
            <a class="nav-link" style="cursor:pointer" *ngIf="_authService.loggedIn()" (click)="_authService.logoutUser()">Logout</a>
        </ul>
    </div>
</nav>

<div class="container-fluid">
    <router-outlet></router-outlet>
</div>